Loading...
Searching...
No Matches
DeviceInterface.h File Reference

Methods for managing device allocations when jitting. More...

`#include "Expr.h"`
`#include "Target.h"`

Go to the source code of this file.

## Namespaces

namespace | Halide
| This file defines the class FunctionDAG, which is our representation of a Halide pipeline, and contains methods to using Halide's bounds tools to query properties of it.
namespace | Halide::Internal

## Functions

const halide_device_interface_t * | Halide::get_device_interface_for_device_api (DeviceAPI d, const Target &t=get_jit_target_from_environment(), const char *error_site=nullptr)
| Gets the appropriate halide_device_interface_t * for a DeviceAPI.
DeviceAPI | Halide::get_default_device_api_for_target (const Target &t)
| Get the specific DeviceAPI that Halide would select when presented with DeviceAPI::Default_GPU for a given target.
bool | Halide::host_supports_target_device (const Target &t)
| This attempts to sniff whether a given Target (and its implied DeviceAPI) is usable on the current host.
Expr | Halide::Internal::make_device_interface_call (DeviceAPI device_api, MemoryType memory_type=MemoryType::Auto)
| Get an Expr which evaluates to the device interface for the given device api at runtime.

## Detailed Description

Methods for managing device allocations when jitting.

Definition in file DeviceInterface.h.